Fresh install after fix but runtime not working

After having some trouble with Eclipse, I tried to reinstall eclipse on my windows 10 but a fresh install is not working anymore.
At this time, this should work since the fix have been merged, so I do not understand why my fresh install is not working :frowning:

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.284
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.automation.module.media_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.285
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.core.audio_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.286
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.core.voice_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.288
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.io.javasound_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.289
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.io.rest.sitemap_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.290
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.model.rule.runtime_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.291
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.model.rule_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.292
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.model.script.runtime_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.293
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.model.script_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.294
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.ui.basic_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.296
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.ui.classic_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.297
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.ui.icon_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.298
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.ui.iconset.classic_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.298
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.ui.paper_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.299
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.smarthome.ui_0.10.0.201810141042.jar was not resolved.

!ENTRY org.eclipse.osgi 4 0 2018-10-14 18:56:10.300
!MESSAGE Bundle initial@reference:file:plugins/org.openhab.core.compat1x_2.4.0.201809060828.jar was not resolved.

Thanks for your help

Just tried on my computer at work and same issue :frowning:

Thanks again for your help

Ok found what was the problem… plugins are not included by default in run configuration.

To solve this, go to Run --> Run configurations --> select openHAB_Runtime --> Plug-ins --> use the button “Add Required Plug-ins”

That’s it…